#ifndef GUI_READER_H
#define GUI_READER_H

#include "mapstorage.h"
#include <lemon/lemon_reader.h>

using lemon::LemonReader;

class GuiReader : public LemonReader::SectionReader
{
  private:
    MapStorage* mapstorage;
  protected:
    virtual bool header(const std::string&);
    virtual void read(std::istream&);
  public:
    typedef LemonReader::SectionReader Parent;
    GuiReader(LemonReader&, MapStorage*);
};

#endif
